aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-02-04 10:31:59 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-02-04 10:31:59 +0000
commit4b6138a5f4f5cd11d49d7f96e13da661fd37655e (patch)
treebc24c187cedf70d056250064b3b267389572cdbb
parent54151c46e1b012c3b9aff856f54fd45d370e793d (diff)
downloadaports-4b6138a5f4f5cd11d49d7f96e13da661fd37655e.tar.gz
aports-4b6138a5f4f5cd11d49d7f96e13da661fd37655e.tar.bz2
aports-4b6138a5f4f5cd11d49d7f96e13da661fd37655e.tar.xz
main/sic: upgrade to 1.2 and fix build for musl
-rw-r--r--main/sic/APKBUILD28
-rw-r--r--main/sic/musl-fix.patch29
2 files changed, 51 insertions, 6 deletions
diff --git a/main/sic/APKBUILD b/main/sic/APKBUILD
index 799c172090..e12f53a9be 100644
--- a/main/sic/APKBUILD
+++ b/main/sic/APKBUILD
@@ -1,24 +1,40 @@
# Contributor: Natanael Copa <ncopa@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=sic
-pkgver=1.1
-pkgrel=1
+pkgver=1.2
+pkgrel=0
pkgdesc="an extremely simple IRC client"
url="http://tools.suckless.org/sic"
arch="all"
license="GPL"
depends=""
subpackages="$pkgname-doc"
-source="http://dl.suckless.org/tools/sic-$pkgver.tar.gz"
+source="http://dl.suckless.org/tools/sic-$pkgver.tar.gz
+ musl-fix.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
build() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$_builddir"
make PREFIX=/usr || return 1
}
package() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$_builddir"
make DESTDIR="$pkgdir" PREFIX=/usr install
}
-md5sums="856d0e5faa151ae9602713ee7d34a2d5 sic-1.1.tar.gz"
+md5sums="eb099e790c3ce7866df50d3fe1a52c25 sic-1.2.tar.gz
+216be8b79c23f4a5fa59a64ec06188af musl-fix.patch"
+sha256sums="ac07f905995e13ba2c43912d7a035fbbe78a628d7ba1c256f4ca1372fb565185 sic-1.2.tar.gz
+e6b089bf64a7ac8ce7c531698aaede0ba93064b8b7c052ab7f6a44b70673530c musl-fix.patch"
+sha512sums="5659ed9d8a5986dda90dbe1155c27a5fd0ab4b1fcad2c1a20997c530bf03864e6c08bdeffc025c728629ab11872af6a1250761160b91f148dc37d77a49046dc9 sic-1.2.tar.gz
+94d9dc44a1a33c67141db312004a2c9d2113223c921ae210a6451b1c0f408d93fff4b16049f49d393ab4ca3ffca3fb5fc62265ec6195317abfbb70abdcd8ad5e musl-fix.patch"
diff --git a/main/sic/musl-fix.patch b/main/sic/musl-fix.patch
new file mode 100644
index 0000000000..f04e329698
--- /dev/null
+++ b/main/sic/musl-fix.patch
@@ -0,0 +1,29 @@
+From d8e9e4a013196b98576a3a759b4b27c3edb2a0d2 Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Tue, 4 Feb 2014 10:06:53 +0000
+Subject: [PATCH] build fix for musl libc
+
+It fixes the following compile error with musl libc:
+sic.c:137:17: error: storage size of 'tv' isn't known
+ struct timeval tv;
+ ^
+---
+ sic.c | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/sic.c b/sic.c
+index d93c2ec..e4bdb74 100644
+--- a/sic.c
++++ b/sic.c
+@@ -8,6 +8,8 @@
+ #include <time.h>
+ #include <unistd.h>
+
++#include <sys/time.h>
++
+ static char *host = "irc.oftc.net";
+ static char *port = "6667";
+ static char *password;
+--
+1.8.5.3
+